package org.example.aspect;

import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.aspectj.lang.annotation.Pointcut;

@Aspect
public class MyAspect {

	// catch all method calls outside this aspect but within the org.example.. package
	@Pointcut("call(* *.*(..)) && within(org.example..*) && !within(MyAspect)")
	public void allOperation() {}

	@Before("org.example.aspect.allOperation()")	
	public void trackExecuteBOperation() {
		System.out.println("Hello World from MyAspect");
	}
	
}